export default function useColumns() {

  const TableColumns = [
    {
      item: {
        key: "authorizedProductsCode",
        title: "授权产品 编码",
        width: 160,
      },
      attr: {}
    },
    {
      item: { key: "dealerName", title: "经销商名称", width: 200 },
      attr: {}
    },
    {
      item: {
        key: "authorizedAreaCode",
        title: "授权区域/医院 编码",
        hidden: false,
      },
      attr: {}
    },
    {
      item: { key: "authorizedAreaName", title: "授权区域/医院 名称", width: 200 },
      attr: {}
    },
    {
      item: { key: "authorizedProductsName", title: "授权产品 名称", width: 200 },
      attr: {}
    },
    {
      item: { key: "status", title: "状态", width: 80 },
      attr: {
        is: "el-dict-tag",
        dictName: "documents_status", // 字典名
      }
    },
    {
      item: { key: "createPerson", title: "创建人", width: 120 },
      attr: {}
    },
    {
      item: { key: "createTime", title: "创建时间", width: 160 },
      attr: {}
    },
    {
      item: { key: "updatePerson", title: "最后修改人", width: 120 },
      attr: {}
    },
    {
      item: { key: "updateTime", title: "最后修改时间", width: 160 },
      attr: {}
    },
    {
      item: {
        key: "id",
        title: "主键id----该值不显示",
        hidden: false,
      },
      attr: {}
    },
    {
      item: {
        key: "startTime",
        title: "开始时间",
        hidden: false,
      },
      attr: {}
    },
    {
      item: {
        key: "endTime",
        title: "结束时间",
        hidden: false,
      },
      attr: {}
    },
    {
      item: {
        key: "issueTime",
        title: "授权书开具时间",
        hidden: false,
      },
      attr: {}
    },
  ].map(({ item, attr }) => ({
    attr,
    item: {
      ...item,
      sortabled: true,
      fixedabled: true,
      filterabled: true,
      hiddenabled: true,
    },
  }));

  const SearchColumns = [
    {
      item: { key: "dealerName", title: "经销商名称", },
      attr: {
        is: "el-input",
        clearable: true,
      }
    },
    {
      item: { key: "authorizedAreaName", title: "授权区域/医院", },
      attr: {
        is: "el-input",
        clearable: true,
      }
    },
    {
      item: { key: "authorizedProductsName", title: "授权产品", },
      attr: {
        is: "el-input",
        clearable: true,
      }
    },
    // 单据状态0=自由态，1=审批中，2=已审核，3=已驳回
    {
      item: { key: "status", title: "状态", },
      attr: {
        is: "el-select",
        dictName: "documents_status",
        clearable: true,
      },
    },
    {
      item: {
        key: "privilegedTime",
        title: "授权时间",
        span: 12,
      },
      attr: {
        clearable: true,
        is: "el-date-wrapper",
      },
    },
    // {
    //   title: "授权时间",
    //   key: "startTime",
    //   type: "Date",
    //   config: {
    //     placeholder: '开始时间'
    //   }
    // },
    // {
    //   title: "至",
    //   key: "endTime",
    //   type: "Date",
    //   config: {
    //     placeholder: '结束时间'
    //   }
    // },
  ]


  return { TableColumns, SearchColumns }
}